SWAB(3)

NAME
swab - swap adjacent bytes

LIBRARY
libc

SYNOPSIS
#include <unistd.h>
void
swab(const void *restrict src, void *restrict dest, ssize_t nbytes);

DESCRIPTION
The function swab() copies nbytes bytes from the location referenced by src to the location referenced by dest, swapping adjacent bytes.

The argument nbytes should be an even number. If nbytes is odd, swab() copies and exchanges nbytes -1 bytes and the disposition of the last byte is unspecified. If copying takes place between objects that overlap, the behavior is undefined. If nbytes is negative, swab() does nothing.

SEE ALSO
bzero(3), memset(3), compat(5)

HISTORY
A swab() function appeared in AT&T UNIX.